create table copy_data_field_detail
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  field_id bigint comment '字段id' ,
  field_name varchar(100) comment '字段名称' ,
  is_parent int comment '是否是根节点' ,
  data_source varchar(100) comment '数据来源' ,
  install_id bigint comment '数据复制主键 id' ,
  parent_id bigint comment '根节点id' 
)
;

create index inx_copy_data_field_detail_tan on copy_data_field_detail(tenant_key)
;

create index inx_cdfd_update_del_e9bad08a on copy_data_field_detail(update_time,delete_type)
;

create index inx_cdfd_install_id_23b1c206 on copy_data_field_detail(install_id)
;

create table copy_data_install
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  form_id bigint comment '表单id' ,
  ref_id bigint comment '外部id' ,
  read_only_value int comment '是否读取只读' ,
  new_file int comment '是否生成文件' ,
  relate_field int comment '是否执行钻取' ,
  monitor int comment '是否运算' ,
  data_linkage int comment '是否字段联动' ,
  source_module varchar(100) comment '所属模块' 
)
;

create index cdi_tenant_key_d4ddc19b on copy_data_install(tenant_key)
;

create index cdi_update_time_delete on copy_data_install(update_time,delete_type)
;



