create table fd_linkage_log_context_text
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  entity_id bigint comment '关联id' ,
  long_text longtext comment '大文本内容' ,
  file_id bigint comment '文件id' ,
  text_enum varchar(50) comment '文本类型' ,
  creator bigint comment '操作者' 
)
;

create index fd_ll_c_t_tenant_key_a4f420d3 on fd_linkage_log_context_text(tenant_key)
;

create index fd_ll_c_t_up_del_33c8e810 on fd_linkage_log_context_text(update_time,delete_type)
;

create index fd_ll_c_t_entity_id_09f93047 on fd_linkage_log_context_text(entity_id)
;

create table fd_linkage_log_context_detail
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  entity_id bigint comment '执行日志主表' ,
  target_id bigint comment '联动id' ,
  target_name varchar(255) comment '联动名称' ,
  linkage_type varchar(50) comment '联动类型' ,
  cost_time bigint comment '耗时' ,
  creator bigint comment '操作者' 
)
;

create index fd_llcd_tenant_key_2ea2170c on fd_linkage_log_context_detail(tenant_key)
;

create index fd_llcd_time_del_5946c645 on fd_linkage_log_context_detail(update_time,delete_type)
;

create index fd_llcd_entity_id_a4a04911 on fd_linkage_log_context_detail(entity_id)
;

create index fd_llcd_target_id_eaf44e5e on fd_linkage_log_context_detail(target_id,entity_id)
;

create table fd_linkage_log_context
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  ref_id bigint comment '引用id' ,
  form_id bigint comment '表单id' ,
  creator bigint comment '操作者' ,
  source_module varchar(50) comment '所属模块' ,
  state_type_enum varchar(50) comment '联动状态' ,
  cost_time bigint comment '耗时' ,
  source_type_enum varchar(50) comment '来源入口类型' 
)
;

create index fd_llc_tenant_key_743f9371 on fd_linkage_log_context(tenant_key)
;

create index fd_llc_time_del_8d3b624d on fd_linkage_log_context(update_time,delete_type)
;

create index fd_llc_form_id_3d38be88 on fd_linkage_log_context(form_id)
;

create index fd_llc_operator_id_01905cf6 on fd_linkage_log_context(creator)
;



