create table form_data_copy_detail
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  field_id bigint comment '字段id' ,
  data_source varchar(50) comment '数据来源' ,
  main_id bigint comment '数据复制主键id' 
)
;

create index inx_fdcd_tenant_key_d691e51e on form_data_copy_detail(tenant_key)
;

create index inx_fdcd_upd_del_c9ba3497 on form_data_copy_detail(update_time,delete_type)
;

create index inx_fdcd_main_id_ten_f0a41381 on form_data_copy_detail(main_id,tenant_key)
;

create table form_data_copy
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  form_id bigint comment '表单id' ,
  ref_id bigint comment '外部id' ,
  copy_file int comment '是否生成文件' ,
  exec_relate int comment '是否执行钻取' ,
  exec_monitor int comment '是否运算' ,
  source_module varchar(100) comment '所属模块' 
)
;

create index inx_fdc_tenant_key_7b02a129 on form_data_copy(tenant_key)
;

create index inx_fdc_upd_del_01c69698 on form_data_copy(update_time,delete_type)
;



