create table form_data_redundancy
(
  id bigint primary key  comment 'ID' ,
  field_id bigint comment '字段ID' ,
  option_id varchar(200) comment '选项ID' ,
  data_content text comment '内容' ,
  data_type varchar(50) default 'content' comment '类型' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) not null comment '租户KEY' 
)
;

create index idx_redundancy_tenantkey on form_data_redundancy(tenant_key)
;

create index idx_redun_updatetime_deltype on form_data_redundancy(update_time,delete_type)
;

create unique index idx_fieldid_optionid_datatype on form_data_redundancy(field_id,option_id,data_type)
;




