create table fd_linkage_source_calc_column
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  entity_id bigint comment '上一层数据Id' ,
  entry_type varchar(50) comment '运算符、字段id、数字、函数符号' ,
  entry_value varchar(255) comment '数值、操作类型、日期区间fieldId、函数计算fieldId集合' ,
  start_field varchar(20) comment '日期结束时间' ,
  end_field varchar(20) comment '日期开始时间' ,
  vacation varchar(20) comment '计算方式 -- 请假类型绑定的fieldId' ,
  monitor_type varchar(50) comment '函数计算类型平均值、求和、最大值、最小值' 
)
;

create index f_d_l_calc_col_key_46ca16f4 on fd_linkage_source_calc_column(tenant_key)
;

create index f_d_l_calc_col_date_4de3ee3f on fd_linkage_source_calc_column(update_time,delete_type)
;

create index f_d_l_calc_col_entity_id on fd_linkage_source_calc_column(entity_id)
;

create table fd_linkage_source_calc
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  entity_id bigint comment '联动数据源id' ,
  monitor_type varchar(50) comment '监控类型，数字、日期' ,
  date_type varchar(50) comment '日期的请假类型：自然日、工作日、外出时间、出差时间' ,
  format_type varchar(50) comment '计算结果格式：天、时、分' 
)
;

create index f_d_l_calc_tenant_key on fd_linkage_source_calc(tenant_key)
;

create index f_d_l_calc_update_time on fd_linkage_source_calc(update_time,delete_type)
;

create index f_d_l_calc_entity_id_972d83a0 on fd_linkage_source_calc(entity_id)
;



