create table form_index_scheduled_tasks
(
  id bigint not null primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) not null comment '租户KEY' ,
  index_name varchar(1000) not null comment '索引名称' ,
  trigger_type int not null comment '执行时机' ,
  trigger_time datetime not null comment '执行时间' ,
  trigger_status int not null comment '执行状态' ,
  trigger_status_info text comment '执行结果信息' ,
  index_table_name varchar(1000) not null comment '索引所属表名' ,
  index_field_ids text not null comment '索引所属字段id' ,
  trigger_method int not null comment '执行方式' ,
  form_id bigint not null comment '索引所在表单的formid' ,
  index_table_id bigint not null comment '索引所属物理表的表id' ,
  index_field_names text not null comment '索引所属字段名' ,
  old_index_name varchar(1000) comment '修改索引名称，原字段名' 
)
;

create index idx_fist_tenant_key_b544f764 on form_index_scheduled_tasks(tenant_key)
;

create index idx_fist_update_delete on form_index_scheduled_tasks(update_time,delete_type)
;

create index idx_index_name_9beab378 on form_index_scheduled_tasks(index_name)
;



