create table form_formindexlogs_detail
(
  id bigint not null primary key  comment 'ID' ,
  create_time datetime default CURRENT_TIMESTAMP not null comment '创建时间' ,
  update_time datetime default CURRENT_TIMESTAMP not null comment '修改时间' ,
  creator bigint default '-1' not null comment '创建人id' ,
  delete_type int default 0 not null comment '是否删除' ,
  tenant_key varchar(10) not null comment '租户KEY' ,
  uuid varchar(36) not null comment '日志UUID' ,
  mainid varchar(36) not null comment '主表id' ,
  dataid varchar(50) not null comment '数据id' ,
  belongdataid varchar(50) default '0' not null comment '主表数据id' ,
  tablename varchar(10) not null comment '表名' ,
  tablenamelabelid varchar(50) default '-1' not null comment '表名labelid' ,
  tablenamedesc varchar(50) not null comment '对应数据库的表' ,
  fieldname varchar(200) not null comment '字段名' ,
  fieldnamelabelid varchar(50) default '-1' not null comment '字段名labelid' ,
  newvalue longtext not null comment '更新后的值' ,
  oldvalue longtext not null comment '更新前的值' ,
  newrealvalue longtext not null comment '更新后的显示值' ,
  oldrealvalue longtext not null comment '更新前的显示值' ,
  fielddesc varchar(200) not null comment '字段描述' ,
  showorder int not null comment '排序' ,
  isdetail int default 0 not null comment '是否明细字段' 
)
;

create index idx_form_index_det_tk on form_formindexlogs_detail(tenant_key)
;

create index idx_form_index_det_ut_dt on form_formindexlogs_detail(update_time,delete_type)
;



