create table form_convertdataidlogs
(
  id bigint not null primary key  comment 'ID' ,
  create_time datetime default CURRENT_TIMESTAMP not null comment '创建时间' ,
  update_time datetime default CURRENT_TIMESTAMP not null comment '修改时间' ,
  creator bigint default '-1' not null comment '创建人id' ,
  delete_type int default 0 not null comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  uuid varchar(36) comment '日志UUID' ,
  log_date datetime comment '日期' ,
  device varchar(500) comment '终端信息' ,
  log_operator bigint default '0' comment '操作人' ,
  operatorname varchar(10) comment '操作人姓名' ,
  targetid bigint default '-1' not null comment '操作目标id' ,
  targetname text comment '操作目标名称' ,
  modulename varchar(100) comment '模块' ,
  functionname varchar(100) comment '服务（方法）' ,
  interfacename varchar(100) comment '访问接口名' ,
  requesturl varchar(200) comment '请求全路径' ,
  requesturi varchar(200) comment '请求地址' ,
  operatetype varchar(50) comment '操作类型' ,
  operatetypename varchar(100) comment '操作类型名称' ,
  operatedesc varchar(3000) comment '操作详细说明' ,
  params longtext comment '涉及的相关参数' ,
  belongmainid varchar(36) comment '所属主表uuid' ,
  clientip varchar(50) comment '操作IP' ,
  groupid varchar(50) comment '分组' ,
  groupnamelabel varchar(1000) comment '分组标题' ,
  redoservice longtext comment '重做业务接口' ,
  cancelservice varchar(200) comment '撤销业务接口' ,
  cancelcontext longtext comment '撤销参数' ,
  totalruntime bigint default '0' comment '总运行时长' ,
  mainruntime bigint default '0' comment '主方法运行时长' ,
  log_result varchar(100) comment '结果' ,
  fromterminal varchar(100) comment '来自pc web' ,
  resultdesc text comment '运行结果描述' ,
  old_content varchar(3000) comment '原先内容' ,
  link_type varchar(20) comment '链接类型' ,
  link_id bigint default '0' comment '链接id' ,
  old_link_id bigint default '0' comment '原先链接id' ,
  redocontext longtext comment '重做参数' 
)
;

create index idx_fcd_tenant_key_ind2833939 on form_convertdataidlogs(tenant_key)
;

create index idx_fcd_ud_key_ind2833939 on form_convertdataidlogs(update_time,delete_type)
;



