create table form_dfc_logs_detail
(
  id bigint not null primary key  comment 'ID' ,
  create_time datetime default now() comment '创建时间' ,
  update_time datetime default now() comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  uuid varchar(36) comment '日志UUID' ,
  mainid varchar(36) comment '主表id' ,
  dataid varchar(50) comment '数据id' ,
  belongdataid varchar(50) comment '主表数据id' ,
  tablename varchar(200) comment '表名' ,
  tablenamelabelid varchar(50) comment '表名labelid' ,
  tablenamedesc varchar(50) comment '对应数据库的表' ,
  fieldname varchar(200) comment '字段名' ,
  fieldnamelabelid varchar(50) comment '字段名labelid' ,
  newvalue longtext comment '更新后的值' ,
  oldvalue longtext comment '更新前的值' ,
  newrealvalue longtext comment '更新后的显示值' ,
  oldrealvalue longtext comment '更新前的显示值' ,
  fielddesc varchar(200) comment '字段名' ,
  showorder int comment '排序' ,
  isdetail int default 0 comment '是否明细字段' 
)
;

create index idx_form_fdfc_tk_63fe383b on form_dfc_logs_detail(tenant_key)
;

create index idx_form_fdfc_u_d_b97b91fe on form_dfc_logs_detail(update_time,delete_type)
;

create index idx_form_fdfc_m_a352cc9a on form_dfc_logs_detail(mainid)
;



