create table form_layout_logs_detail
(
  id number not null primary key ,
  create_time date default sysdate,
  update_time date default sysdate,
  creator number,
  delete_type int default 0,
  tenant_key varchar2(10),
  uuid varchar2(36),
  mainid varchar2(36),
  dataid varchar2(50),
  belongdataid varchar2(50),
  tablename varchar2(200),
  tablenamelabelid varchar2(50),
  tablenamedesc varchar2(50),
  fieldname varchar2(200),
  fieldnamelabelid varchar2(50),
  newvalue clob,
  oldvalue clob,
  newrealvalue clob,
  oldrealvalue clob,
  fielddesc varchar2(200),
  showorder int,
  isdetail int default 0
)
/

create index idx_form_fsld_tenant_key on form_layout_logs_detail(tenant_key)
/

create index idx_form_fsld_update_delete on form_layout_logs_detail(update_time,delete_type)
/

create table form_layout_logs
(
  id number not null primary key ,
  create_time date default sysdate,
  update_time date default sysdate,
  creator number,
  delete_type int default 0,
  tenant_key varchar2(10),
  uuid varchar2(36),
  log_date date default sysdate,
  device varchar2(500),
  log_operator number,
  operatorname varchar2(100),
  targetid number,
  targetname varchar2(3000),
  modulename varchar2(100),
  functionname varchar2(100),
  interfacename varchar2(100),
  requesturl clob,
  requesturi clob,
  operatetype varchar2(50),
  operatetypename varchar2(100),
  operatedesc varchar2(3000),
  params clob,
  belongmainid varchar2(36),
  clientip varchar2(200),
  groupid varchar2(50),
  groupnamelabel varchar2(1000),
  redoservice varchar2(200),
  redocontext clob,
  cancelservice varchar2(200),
  cancelcontext clob,
  totalruntime number,
  mainruntime number,
  log_result varchar2(100),
  fromterminal varchar2(100),
  resultdesc clob,
  old_content clob,
  link_type varchar2(20),
  link_id number,
  old_link_id number
)
/

create index idx_form_fsl_tenant_key on form_layout_logs(tenant_key)
/

create index idx_from_fsl_update_delete on form_layout_logs(update_time,delete_type)
/

create index idx_form_fsl_group_id on form_layout_logs(groupid)
/