create table form_dfc_logs
(
  id number not null primary key ,
  create_time date default sysdate,
  update_time date default sysdate,
  creator number,
  delete_type int default 0,
  tenant_key varchar2(10),
  uuid varchar2(36),
  log_date date default sysdate,
  device varchar2(500),
  log_operator number,
  operatorname varchar2(100),
  targetid number,
  targetname varchar2(3000),
  modulename varchar2(100),
  functionname varchar2(100),
  interfacename varchar2(100),
  requesturl clob,
  requesturi clob,
  operatetype varchar2(50),
  operatetypename varchar2(100),
  operatedesc varchar2(3000),
  params clob,
  belongmainid varchar2(36),
  clientip varchar2(200),
  groupid varchar2(50),
  groupnamelabel varchar2(1000),
  redoservice varchar2(200),
  redocontext clob,
  cancelservice varchar2(200),
  cancelcontext clob,
  totalruntime number,
  mainruntime number,
  log_result varchar2(100),
  fromterminal varchar2(100),
  resultdesc clob,
  old_content clob,
  link_type varchar2(20),
  link_id number,
  old_link_id number
)
/

create index idx_form_fdfc_tenant_ab1a8330 on form_dfc_logs(tenant_key) online
/

create index idx_from_fdfc_update_657dc4e3 on form_dfc_logs(update_time,delete_type) online
/

create index idx_form_fdfc_group_42a7e268 on form_dfc_logs(groupid) online
/

create index idx_form_fdfc_uuid_e4e55649 on form_dfc_logs(uuid) online
/

create index idx_form_fdfc_ttl_97be0176 on form_dfc_logs(targetid,tenant_key,log_date) online
/