create table fd_linkage_log_context_text
(
  id bigint primary key ,
  create_time timestamp,
  update_time timestamp,
  delete_type int default 0,
  tenant_key varchar(10),
  entity_id bigint,
  long_text text,
  file_id bigint,
  text_enum varchar(50),
  creator bigint
);
/

create index fd_ll_c_t_tenant_key_a4f420d3 on fd_linkage_log_context_text(tenant_key);
/

create index fd_ll_c_t_up_del_33c8e810 on fd_linkage_log_context_text(update_time,delete_type);
/

create index fd_ll_c_t_entity_id_09f93047 on fd_linkage_log_context_text(entity_id);
/

create table fd_linkage_log_context_detail
(
  id bigint primary key ,
  create_time timestamp,
  update_time timestamp,
  delete_type int default 0,
  tenant_key varchar(10),
  entity_id bigint,
  target_id bigint,
  target_name varchar(255),
  linkage_type varchar(50),
  cost_time bigint,
  creator bigint
);
/

create index fd_llcd_tenant_key_2ea2170c on fd_linkage_log_context_detail(tenant_key);
/

create index fd_llcd_time_del_5946c645 on fd_linkage_log_context_detail(update_time,delete_type);
/

create index fd_llcd_entity_id_a4a04911 on fd_linkage_log_context_detail(entity_id);
/

create index fd_llcd_target_id_eaf44e5e on fd_linkage_log_context_detail(target_id,entity_id);
/

create table fd_linkage_log_context
(
  id bigint primary key ,
  create_time timestamp,
  update_time timestamp,
  delete_type int default 0,
  tenant_key varchar(10),
  ref_id bigint,
  form_id bigint,
  creator bigint,
  source_module varchar(50),
  state_type_enum varchar(50),
  cost_time bigint,
  source_type_enum varchar(50)
);
/

create index fd_llc_tenant_key_743f9371 on fd_linkage_log_context(tenant_key);
/

create index fd_llc_time_del_8d3b624d on fd_linkage_log_context(update_time,delete_type);
/

create index fd_llc_form_id_3d38be88 on fd_linkage_log_context(form_id);
/

create index fd_llc_operator_id_01905cf6 on fd_linkage_log_context(creator);
/