create table form_layout_logs_detail
(
  id bigint not null primary key ,
  create_time timestamp default CURRENT_TIMESTAMP,
  update_time timestamp default CURRENT_TIMESTAMP,
  creator bigint,
  delete_type int default 0,
  tenant_key varchar(10),
  uuid varchar(36),
  mainid varchar(36),
  dataid varchar(50),
  belongdataid varchar(50),
  tablename varchar(200),
  tablenamelabelid varchar(50),
  tablenamedesc varchar(50),
  fieldname varchar(200),
  fieldnamelabelid varchar(50),
  newvalue text,
  oldvalue text,
  newrealvalue text,
  oldrealvalue text,
  fielddesc varchar(200),
  showorder int,
  isdetail int default 0
);
/

create index idx_form_fsld_tenant_key on form_layout_logs_detail(tenant_key);
/

create index idx_form_fsld_update_delete on form_layout_logs_detail(update_time,delete_type);
/

create table form_layout_logs
(
  id bigint not null primary key ,
  create_time timestamp default CURRENT_TIMESTAMP,
  update_time timestamp default CURRENT_TIMESTAMP,
  creator bigint,
  delete_type int default 0,
  tenant_key varchar(10),
  uuid varchar(36),
  log_date timestamp default CURRENT_TIMESTAMP,
  device varchar(500),
  log_operator bigint,
  operatorname varchar(100),
  targetid bigint,
  targetname varchar(3000),
  modulename varchar(100),
  functionname varchar(100),
  interfacename varchar(100),
  requesturl text,
  requesturi text,
  operatetype varchar(50),
  operatetypename varchar(100),
  operatedesc varchar(3000),
  params text,
  belongmainid varchar(36),
  clientip varchar(200),
  groupid varchar(50),
  groupnamelabel varchar(1000),
  redoservice varchar(200),
  redocontext text,
  cancelservice varchar(200),
  cancelcontext text,
  totalruntime bigint,
  mainruntime bigint,
  log_result varchar(100),
  fromterminal varchar(100),
  resultdesc text,
  old_content text,
  link_type varchar(20),
  link_id bigint,
  old_link_id bigint
);
/

create index idx_form_fsl_tenant_key on form_layout_logs(tenant_key);
/

create index idx_from_fsl_update_delete on form_layout_logs(update_time,delete_type);
/

create index idx_form_fsl_group_id on form_layout_logs(groupid);
/