create table form_dfc_logs
(
  id bigint not null primary key ,
  create_time timestamp default now(),
  update_time timestamp default now(),
  creator bigint,
  delete_type int default 0,
  tenant_key varchar(10),
  uuid varchar(36),
  log_date timestamp default CURRENT_TIMESTAMP,
  device varchar(500),
  log_operator bigint,
  operatorname varchar(100),
  targetid bigint,
  targetname varchar(3000),
  modulename varchar(100),
  functionname varchar(100),
  interfacename varchar(100),
  requesturl text,
  requesturi text,
  operatetype varchar(50),
  operatetypename varchar(100),
  operatedesc varchar(3000),
  params text,
  belongmainid varchar(36),
  clientip varchar(200),
  groupid varchar(50),
  groupnamelabel varchar(1000),
  redoservice varchar(200),
  redocontext text,
  cancelservice varchar(200),
  cancelcontext text,
  totalruntime bigint,
  mainruntime bigint,
  log_result varchar(100),
  fromterminal varchar(100),
  resultdesc text,
  old_content text,
  link_type varchar(20),
  link_id bigint,
  old_link_id bigint
);
/

create index idx_form_fdfc_tenant_ab1a8330 on form_dfc_logs(tenant_key);
/

create index idx_from_fdfc_update_657dc4e3 on form_dfc_logs(update_time,delete_type);
/

create index idx_form_fdfc_group_42a7e268 on form_dfc_logs(groupid);
/

create index idx_form_fdfc_uuid_e4e55649 on form_dfc_logs(uuid);
/

create index idx_form_fdfc_ttl_97be0176 on form_dfc_logs(targetid,tenant_key,log_date);
/