create table fd_linkage_source_calc_column
(
  id bigint primary key ,
  create_time datetime,
  update_time datetime,
  creator bigint,
  delete_type int default 0,
  tenant_key nvarchar(10),
  entity_id bigint,
  entry_type nvarchar(50),
  entry_value nvarchar(255),
  start_field nvarchar(20),
  end_field nvarchar(20),
  vacation nvarchar(20),
  monitor_type nvarchar(50)
)
GO

create index f_d_l_calc_col_key_46ca16f4 on fd_linkage_source_calc_column(tenant_key)
GO

create index f_d_l_calc_col_date_4de3ee3f on fd_linkage_source_calc_column(update_time,delete_type)
GO

create index f_d_l_calc_col_entity_id on fd_linkage_source_calc_column(entity_id)
GO

create table fd_linkage_source_calc
(
  id bigint primary key ,
  create_time datetime,
  update_time datetime,
  creator bigint,
  delete_type int default 0,
  tenant_key nvarchar(10),
  entity_id bigint,
  monitor_type nvarchar(50),
  date_type nvarchar(50),
  format_type nvarchar(50)
)
GO

create index f_d_l_calc_tenant_key on fd_linkage_source_calc(tenant_key)
GO

create index f_d_l_calc_update_time on fd_linkage_source_calc(update_time,delete_type)
GO

create index f_d_l_calc_entity_id_972d83a0 on fd_linkage_source_calc(entity_id)
GO