drop PROCEDURE IF EXISTS temp_column_data_change_pro;

CREATE PROCEDURE temp_column_data_change_pro()
BEGIN

    drop table if exists temp_column_data_change;

    create table temp_column_data_change
    (
        id          int auto_increment primary key,
        column_name varchar(64),
        table_name  varchar(64)
    );

    --   --  --  --  --  --  --  --  --  --  --  --  --     处理地理位置 控件  --  --  --  --  --  --

    --   addr
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database())
             inner join form_field ff
                        on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and ff.COMPONENT_KEY in ('PositionComponent')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = concat('addr_', ftf.COLUMN_NAME);


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称


            SET @sql_content = concat('alter table ', @tablename, ' rename column ', @columnname, ' to ',
                                      substring(lower(@columnname), 6), ' ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;


    --   2、longitude_
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database())
             inner join form_field ff
                        on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and ff.COMPONENT_KEY in ('PositionComponent')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = concat('longitude_', ftf.COLUMN_NAME);


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称


            SET @sql_content = concat('alter table ', @tablename, ' rename column ', @columnname, ' to ',
                                      concat(substring(lower(@columnname), length('longitude_') + 1), '_long'), ' ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;

    --   3、latitude_
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database())
             inner join form_field ff
                        on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and ff.COMPONENT_KEY in ('PositionComponent')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = concat('latitude_', ftf.COLUMN_NAME);


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称


            SET @sql_content = concat('alter table ', @tablename, ' rename column ', @columnname, ' to ',
                                      concat(substring(lower(@columnname), length('latitude_') + 1), '_lat'), ' ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;


    --  --  --  --  --  --  --  --  --  --  --  --  --     处理 金额 控件  --  --  --  --  --  --

    --  currency_
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database())
             inner join form_field ff on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and ff.COMPONENT_KEY in ('Money')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = concat('currency_', ftf.COLUMN_NAME);


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称


            SET @sql_content = concat('alter table ', @tablename, ' rename column ', @columnname, ' to ',
                                      concat(substring(lower(@columnname), length('currency_') + 1), '_currency'),
                                      ' ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;


    --  --  --  --  --  --  --  --  --  --  --  --  --     处理 人员范围 控件  --  --  --  --  --  --

    --  esot_
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database())
             inner join form_field ff on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and
                                         ff.COMPONENT_KEY in ('EmployeeScope', 'EmployeeOrganization')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = concat('esot_', ftf.COLUMN_NAME);


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称


            SET @sql_content = concat('alter table ', @tablename, ' rename column ', @columnname, ' to ',
                                      concat(substring(lower(@columnname), length('esot_') + 1), '_obj'), ' ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;


    --  --  --  --  --  --  --  --  --  --  --  --  --     处理 人力资源条件 控件  --  --  --  --  --  --

    --  esot_
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database())
             inner join form_field ff
                        on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and ff.COMPONENT_KEY in ('EmployeeShare')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = concat('es_', ftf.COLUMN_NAME);


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称


            SET @sql_content = concat('alter table ', @tablename, ' rename column ', @columnname, ' to ',
                                      concat(substring(lower(@columnname), length('es_') + 1), '_obj'), ' ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;

    --  --  --  --  --  --  --  --  --  --  --  --  --     处理 单选 下拉 多选  控件  --  --  --  --  --  --

    --  _obj
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database()) and cl.TABLE_NAME = 'ft_wlbfsldz11'
             inner join form_field ff
                        on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and ff.COMPONENT_KEY in ('RadioBox','CheckBox','Select')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = ftf.COLUMN_NAME
    where not exists(
        select 1
            from information_schema.COLUMNS  cl1 where  cl1.COLUMN_NAME = concat(cl.COLUMN_NAME,'_obj') and cl.TABLE_NAME = cl1.TABLE_NAME
        )

    ;


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称
            SET @sql_content = concat('alter table ', @tablename, ' add column ', concat(@columnname,'_obj'),  ' TEXT ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;
END ;

call temp_column_data_change_pro();

drop PROCEDURE IF EXISTS temp_column_data_change_pro;