drop PROCEDURE IF EXISTS temp_column_data_change_pro;

CREATE PROCEDURE temp_column_data_change_pro()
BEGIN

    drop table if exists temp_column_data_change;

    create table temp_column_data_change
    (
        id          int auto_increment primary key,
        column_name varchar(64),
        table_name  varchar(64)
    );

    --  处理mysql 行格式 问题
    insert into temp_column_data_change(table_name)
    select distinct ft.TABLE_NAME
    from information_schema.TABLES tl
             inner join form_table ft on tl.TABLE_NAME = ft.TABLE_NAME and tl.TABLE_SCHEMA = (select database())
    where ROW_FORMAT <> 'Dynamic';

       select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称
            SET @sql_content = concat('alter table ', @tablename, ' ROW_FORMAT=DYNAMIC;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;


    --  --  --  --  --  --  --  --  --  --  --  --  --     处理 单选 下拉 多选  控件  --  --  --  --  --  --

    --  _obj
    insert into temp_column_data_change(column_name, table_name)
    select distinct cl.COLUMN_NAME, cl.TABLE_NAME
    from information_schema.COLUMNS cl
             inner join form_table ft on cl.TABLE_NAME = ft.TABLE_NAME and cl.TABLE_SCHEMA = (select database())
             inner join form_field ff
                        on ft.FORM_ID in (ff.FORM_ID, ff.SUB_FORM_ID) and ff.IS_DELETE = 0 and ff.COMPONENT_KEY in ('RadioBox','CheckBox','Select')
             inner join form_table_field ftf
                        on ftf.FIELD_ID = ff.id and cl.COLUMN_NAME = ftf.COLUMN_NAME
    where not exists(
        select 1
            from information_schema.COLUMNS  cl1 where  cl1.COLUMN_NAME = concat(cl.COLUMN_NAME,'_obj') and cl.TABLE_NAME = cl1.TABLE_NAME
        )
    and (select count(1) from information_schema.COLUMNS where cl.TABLE_NAME = TABLE_NAME) < 200;


    select count(id) into @count from temp_column_data_change;
    WHILE @count > 0
        DO
            select table_name, column_name, id
            into @tablename,@columnname,@temp_id
            from temp_column_data_change
            limit 1;
            select count(id) into @count from temp_column_data_change;

            --  1、rename 列名称
            SET @sql_content = concat('alter table ', @tablename, ' add column ', concat(@columnname,'_obj'),  ' TEXT ;');

            PREPARE sql_sentence FROM @sql_content;

            EXECUTE sql_sentence;

            DEALLOCATE PREPARE sql_sentence;

            delete from temp_column_data_change where id = @temp_id;
            set @count = @count - 1;
        END WHILE;
END ;

call temp_column_data_change_pro();

drop PROCEDURE IF EXISTS temp_column_data_change_pro;