declare
    var_count       number;
    var_table_name  varchar2(100);
    var_column_name varchar2(100);
    var_id          number;
    var_sql         varchar2(4000);
    cnt             number;
    begin

    SELECT COUNT(*) into cnt FROM USER_TAB_COLUMNS WHERE table_name = UPPER('temp_column_data_change');
    if cnt > 0
    then
        var_sql := '  drop table  temp_column_data_change ';
        EXECUTE IMMEDIATE var_sql;
        cnt := 0;
    end if;
    var_sql := '  create table temp_column_data_change
        (
            id number(13)  primary key,
            column_name varchar2(64),
            table_name varchar2(64)
        ) ';
    EXECUTE IMMEDIATE var_sql;
end;

    
    declare
    var_count       number;
    var_table_name  varchar2(100);
    var_column_name varchar2(100);
    var_id          number;
    var_sql         varchar2(4000);
    cnt             number;
BEGIN

    -- ------------------------   处理地理位置 控件  ------------

    -- addr
    insert into temp_column_data_change(id, column_name, table_name)
    select rownum rn,COLUMN_NAME,TABLE_NAME from (
    select distinct cl.COLUMN_NAME, TABLE_NAME
    from all_tab_columns cl
             inner join form_table_field ftf on upper(cl.COLUMN_NAME) = upper('addr_' || ftf.COLUMN_NAME)
             inner join form_field ff on ftf.FIELD_ID = ff.id
    where TABLE_NAME in (select upper(TABLE_NAME) from  form_table )
      AND owner = UPPER((SELECT user from dual))
      and ff.COMPONENT_KEY = 'PositionComponent') ct;


    select count(id) into var_count from temp_column_data_change;
    WHILE var_count > 0
        loop
            select table_name, column_name, id
            into var_table_name,var_column_name,var_id
            from temp_column_data_change
            where rownum = 1;
            select count(id) into var_count from temp_column_data_change;

            -- 1、rename 列名称
            var_sql := 'alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                       substr(lower(var_column_name), 6) || '';

            EXECUTE IMMEDIATE var_sql;

            delete from temp_column_data_change where id = var_id;
            var_count := var_count - 1;
        END loop;


    -- 2、longitude_
    insert into temp_column_data_change(id, column_name, table_name)
    select rownum rn,COLUMN_NAME,TABLE_NAME from (
    select distinct cl.COLUMN_NAME, TABLE_NAME
    from all_tab_columns cl
             inner join form_table_field ftf on upper(cl.COLUMN_NAME) = upper('longitude_' || ftf.COLUMN_NAME)
             inner join form_field ff on ftf.FIELD_ID = ff.id
    where TABLE_NAME in (select upper(TABLE_NAME) from  form_table )
      AND owner = UPPER((SELECT user from dual))
      and ff.COMPONENT_KEY = 'PositionComponent') ct;


    select count(id) into var_count from temp_column_data_change;
    WHILE var_count > 0
        loop
            select table_name, column_name, id
            into var_table_name,var_column_name,var_id
            from temp_column_data_change
            where rownum = 1;
            select count(id) into var_count from temp_column_data_change;

            -- 1、rename 列名称
            var_sql := ('alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                        substr(lower(var_column_name), lengthb('longitude_') + 1) || '_long' || '');
            EXECUTE IMMEDIATE var_sql;

            delete from temp_column_data_change where id = var_id;
            var_count := var_count - 1;
        END loop;

    -- 3、latitude_
    insert into temp_column_data_change(id, column_name, table_name)
    select rownum rn,COLUMN_NAME,TABLE_NAME from (
    select distinct cl.COLUMN_NAME, TABLE_NAME
    from all_tab_columns cl
             inner join form_table_field ftf on upper(cl.COLUMN_NAME) = upper('latitude_' || ftf.COLUMN_NAME)
             inner join form_field ff on ftf.FIELD_ID = ff.id
    where TABLE_NAME in (select upper(TABLE_NAME) from  form_table )
      AND owner = UPPER((SELECT user from dual))
      and ff.COMPONENT_KEY = 'PositionComponent') ct;


    select count(id) into var_count from temp_column_data_change;
    WHILE var_count > 0
        loop
            select table_name, column_name, id
            into var_table_name,var_column_name,var_id
            from temp_column_data_change
            where rownum = 1;
            select count(id) into var_count from temp_column_data_change;

            -- 1、rename 列名称
            var_sql := ('alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                        (substr(lower(var_column_name), lengthb('latitude_') + 1) || '_lat') || '');
            EXECUTE IMMEDIATE var_sql;

            delete from temp_column_data_change where id = var_id;
            var_count := var_count - 1;
        end loop;


    -- ------------------------   处理 金额 控件  ------------

    -- currency_
    insert into temp_column_data_change(id, column_name, table_name)
    select rownum rn,COLUMN_NAME,TABLE_NAME from (
    select distinct cl.COLUMN_NAME, TABLE_NAME
    from all_tab_columns cl
             inner join form_table_field ftf on upper(cl.COLUMN_NAME) = upper('currency_' || ftf.COLUMN_NAME)
             inner join form_field ff on ftf.FIELD_ID = ff.id
    where TABLE_NAME in (select upper(TABLE_NAME) from  form_table )
      AND owner = UPPER((SELECT user from dual))
      and ff.COMPONENT_KEY = 'Money') ct;


    select count(id) into var_count from temp_column_data_change;
    WHILE var_count > 0
        loop
            select table_name, column_name, id
            into var_table_name,var_column_name,var_id
            from temp_column_data_change
            where rownum = 1;
            select count(id) into var_count from temp_column_data_change;

            -- 1、rename 列名称


            var_sql := ('alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                        (substr(lower(var_column_name), lengthb('currency_') + 1) || '_currency') || '');
            EXECUTE IMMEDIATE var_sql;

            delete from temp_column_data_change where id = var_id;
            var_count := var_count - 1;
        end loop;


    -- ------------------------   处理 人员范围 控件  ------------

    -- esot_
    insert into temp_column_data_change(id, column_name, table_name)
    select rownum rn,COLUMN_NAME,TABLE_NAME from (
    select distinct cl.COLUMN_NAME, TABLE_NAME
    from all_tab_columns cl
             inner join form_table_field ftf on upper(cl.COLUMN_NAME) = upper('esot_' || ftf.COLUMN_NAME)
             inner join form_field ff on ftf.FIELD_ID = ff.id
    where TABLE_NAME in (select upper(TABLE_NAME) from  form_table )
      AND owner = UPPER((SELECT user from dual))
      and ff.COMPONENT_KEY in ('EmployeeScope', 'EmployeeOrganization')) ct;


    select count(id) into var_count from temp_column_data_change;
    WHILE var_count > 0
        loop
            select table_name, column_name, id into var_table_name,var_column_name,var_id
            from temp_column_data_change
            where rownum = 1;
            select count(id) into var_count from temp_column_data_change;

            -- 1、rename 列名称


            var_sql := ('alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                        (substr(lower(var_column_name), lengthb('esot_') + 1) || '_obj') || '');

            EXECUTE IMMEDIATE var_sql;

            delete from temp_column_data_change where id = var_id;
            var_count := var_count - 1;
        END loop;


    -- ------------------------   处理 人力资源条件 控件  ------------

    -- esot_
    insert into temp_column_data_change(id, column_name, table_name)
    select rownum rn,COLUMN_NAME,TABLE_NAME from (
    select distinct cl.COLUMN_NAME, TABLE_NAME
    from all_tab_columns cl
             inner join form_table_field ftf on upper(cl.COLUMN_NAME) = upper('es_' || ftf.COLUMN_NAME)
             inner join form_field ff on ftf.FIELD_ID = ff.id
    where TABLE_NAME in (select upper(TABLE_NAME) from  form_table )
      AND owner = UPPER((SELECT user from dual))
      and ff.COMPONENT_KEY in ('EmployeeShare')) ct;


    select count(id) into var_count from temp_column_data_change;
    WHILE var_count > 0
        loop
            select table_name, column_name, id
            into var_table_name,var_column_name,var_id
            from temp_column_data_change
            where rownum = 1;
            select count(id) into var_count from temp_column_data_change;

            -- 1、rename 列名称


            var_sql := ('alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                        (substr(lower(var_column_name), lengthb('es_') + 1) || '_obj') || '');


            EXECUTE IMMEDIATE var_sql;


            delete from temp_column_data_change where id = var_id;
            var_count := var_count - 1;
        END loop;

    -- ------------------------   处理 人员范围 控件  ------------

    -- esot_
    insert into temp_column_data_change(id, column_name, table_name)
    select rownum rn,COLUMN_NAME,TABLE_NAME from (
    select distinct cl.COLUMN_NAME, TABLE_NAME
    from all_tab_columns cl
             inner join form_table_field ftf on upper(cl.COLUMN_NAME) = upper('esot_' || ftf.COLUMN_NAME)
             inner join form_field ff on ftf.FIELD_ID = ff.id
    where TABLE_NAME in (select upper(TABLE_NAME) from  form_table )
      AND owner = UPPER((SELECT user from dual))
      and ff.COMPONENT_KEY in ('EmployeeScope', 'EmployeeOrganization')) ct;


    select count(id) into var_count from temp_column_data_change;
    WHILE var_count > 0
        loop
            select table_name, column_name, id
            into var_table_name,var_column_name,var_id
            from temp_column_data_change
            where rownum = 1;
            select count(id) into var_count from temp_column_data_change;

            -- 1、rename 列名称
            var_sql := ('alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                        (substr(lower(var_column_name), lengthb('esot_') + 1) || '_obj') || '');

            EXECUTE IMMEDIATE var_sql;

            delete from temp_column_data_change where id = var_id;
            var_count := var_count - 1;
        END loop;
END;
/