DO $$
    declare
        var_count               integer;
        var_table_name  varchar(100);
        var_column_name varchar(100);
        var_id          integer;
        var_sql         varchar(4000);
    BEGIN

        drop table if exists temp_column_data_change;

        create table temp_column_data_change
        (
            id          serial primary key,
            column_name varchar(64),
            table_name  varchar(64)
        );

        -- ------------------------   处理地理位置 控件  ------------

        -- addr
        insert into temp_column_data_change(column_name, table_name)
        select cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = concat('addr_', ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY = 'PositionComponent';


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
            loop
                select  table_name , column_name, id into var_table_name,var_column_name,var_id 
                from temp_column_data_change
                limit 1;
                select  count(id) into var_count  from temp_column_data_change;

                -- 1、rename 列名称
                var_sql := 'alter table ' || var_table_name || ' rename column ' || var_column_name || ' to ' ||
                           substring(lower(var_column_name), 6) || ' ;';

                EXECUTE (var_sql);

                delete from temp_column_data_change where id = var_id;
                var_count := var_count - 1;
            END loop;


        -- 2、longitude_
        insert into temp_column_data_change(column_name, table_name)
        select cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = concat('longitude_', ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY = 'PositionComponent';


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
            loop
                select  table_name , column_name, id into var_table_name,var_column_name,var_id 
                from temp_column_data_change
                limit 1;
                select  count(id) into var_count  from temp_column_data_change;

                -- 1、rename 列名称
                var_sql := ('alter table ' || var_table_name || ' rename column ' ||  var_column_name || ' to ' ||
                                  substring(lower(var_column_name), length('longitude_') + 1) ||  '_long' || ' ;');
                EXECUTE (var_sql);
                
                delete from temp_column_data_change where id = var_id;
                var_count := var_count - 1;
            END loop;

        -- 3、latitude_
        insert into temp_column_data_change(column_name, table_name)
        select cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = concat('latitude_', ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY = 'PositionComponent';


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
            loop
                select  table_name , column_name, id into var_table_name,var_column_name,var_id 
                from temp_column_data_change
                limit 1;
                select  count(id) into var_count  from temp_column_data_change;

                -- 1、rename 列名称
                var_sql := ('alter table ' || var_table_name || ' rename column ' ||  var_column_name || ' to ' ||
                                  (substring(lower(var_column_name), length('latitude_') + 1) ||  '_lat') || ' ;');
                EXECUTE (var_sql);

                delete from temp_column_data_change where id = var_id;
                var_count := var_count - 1;
            end loop;


        -- ------------------------   处理 金额 控件  ------------

        -- currency_
        insert into temp_column_data_change(column_name, table_name)
        select cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = concat('currency_', ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY = 'Money';


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
            loop
                select  table_name , column_name, id into var_table_name,var_column_name,var_id 
                from temp_column_data_change
                limit 1;
                select  count(id) into var_count  from temp_column_data_change;

                -- 1、rename 列名称


                var_sql := ('alter table ' || var_table_name || ' rename column ' ||  var_column_name || ' to ' ||
                                  (substring(lower(var_column_name), length('currency_') + 1) || '_currency') || ' ;');
                EXECUTE (var_sql);

                delete from temp_column_data_change where id = var_id;
                var_count := var_count - 1;
            end loop;


        -- ------------------------   处理 人员范围 控件  ------------

        -- esot_
        insert into temp_column_data_change(column_name, table_name)
        select cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = concat('esot_', ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY in ('EmployeeScope', 'EmployeeOrganization');


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
            loop
                select  table_name , column_name, id into var_table_name,var_column_name,var_id 
                from temp_column_data_change
                limit 1;
                select  count(id) into var_count  from temp_column_data_change;

                -- 1、rename 列名称


                var_sql := ('alter table ' || var_table_name || ' rename column ' ||  var_column_name || ' to ' ||
                                  (substring(lower(var_column_name), length('esot_') + 1) || '_obj') || ' ;');

                EXECUTE (var_sql);

                delete from temp_column_data_change where id = var_id;
                var_count := var_count - 1;
            END loop;


        -- ------------------------   处理 人力资源条件 控件  ------------

        -- esot_
        insert into temp_column_data_change(column_name, table_name)
        select cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = concat('es_', ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY in ('EmployeeShare');


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
        loop
        select  table_name , column_name, id into var_table_name,var_column_name,var_id 
        from temp_column_data_change
        limit 1;
        select  count(id) into var_count  from temp_column_data_change;

        -- 1、rename 列名称


        var_sql := ('alter table ' || var_table_name || ' rename column ' ||  var_column_name || ' to ' ||
                          (substring(lower(var_column_name), length('es_') + 1) ||  '_obj') || ' ;');


        EXECUTE (var_sql);


        delete from temp_column_data_change where id = var_id;
        var_count := var_count - 1;
    END loop;

        -- ------------------------   处理 人员范围 控件  ------------

        -- esot_
        insert into temp_column_data_change(column_name, table_name)
        select cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = concat('esot_', ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY in ('EmployeeScope', 'EmployeeOrganization');


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
            loop
                select  table_name , column_name, id into var_table_name,var_column_name,var_id
                from temp_column_data_change
                limit 1;
                select  count(id) into var_count  from temp_column_data_change;

                -- 1、rename 列名称


                var_sql := ('alter table ' || var_table_name || ' rename column ' ||  var_column_name || ' to ' ||
                                  (substring(lower(var_column_name), length('esot_') + 1) || '_obj') || ' ;');

                EXECUTE (var_sql);

                delete from temp_column_data_change where id = var_id;
                var_count := var_count - 1;
            END loop;
END $$;