DO $$
    declare
        var_count               integer;
        var_table_name  varchar(100);
        var_column_name varchar(100);
        var_id          integer;
        var_sql         varchar(4000);
    BEGIN

        drop table if exists temp_column_data_change;

        create table if not exists temp_column_data_change
        (
            id          serial primary key,
            column_name varchar(64),
            table_name  varchar(64)
        );

        delete from  temp_column_data_change;
        -- --

        -- ------------------------ 处理 单选 下拉 多选  控件    ------------

        -- esot_
        insert into temp_column_data_change(column_name, table_name)
        select distinct cl.COLUMN_NAME, TABLE_NAME
        from information_schema.COLUMNS cl
                 inner join form_table_field ftf on cl.COLUMN_NAME = (ftf.COLUMN_NAME)
                 inner join form_field ff on ftf.FIELD_ID = ff.id  and ff.IS_DELETE = 0
        where TABLE_NAME in (select TABLE_NAME from form_table  )
          and TABLE_SCHEMA in (current_user, 'public')
          and ff.COMPONENT_KEY in ('RadioBox','CheckBox','Select')
            and not exists(
            select 1
                from information_schema.COLUMNS  cl1 where  cl1.COLUMN_NAME = concat(cl.COLUMN_NAME,'_obj') and cl.TABLE_NAME = cl1.TABLE_NAME
            )
        and (select count(1) from information_schema.COLUMNS where cl.TABLE_NAME = TABLE_NAME) < 200;;


        select  count(id) into var_count  from temp_column_data_change;
        WHILE var_count > 0
            loop
                select  table_name , column_name, id into var_table_name,var_column_name,var_id
                from temp_column_data_change
                limit 1;
                select  count(id) into var_count  from temp_column_data_change;

                -- 1、rename 列名称


                var_sql := ('alter table ' || var_table_name || ' add column ' ||  var_column_name||'_obj text ;');

                EXECUTE (var_sql);

                delete from temp_column_data_change where id = var_id;
                var_count := var_count - 1;
            END loop;
END $$;