declare @var_count bigint,
    @var_table_name nvarchar(100),
    @var_column_name nvarchar(100),
    @var_id bigint,
    @var_sql nvarchar(4000),
    @cnt bigint;
SELECT @cnt = COUNT(*)
FROM INFORMATION_SCHEMA.COLUMNS
WHERE table_name = ('temp_column_data_change');
if @cnt > 0
    begin
        drop table temp_column_data_change;
    end;
create table temp_column_data_change
(
    id          bigint identity (1,1) primary key,
    column_name nvarchar(64),
    table_name  nvarchar(64)
);
-- ------------------------   处理地理位置 控件  ------------

-- addr
insert into temp_column_data_change(column_name, table_name)
select distinct cl.COLUMN_NAME, TABLE_NAME
from INFORMATION_SCHEMA.COLUMNS cl
         inner join form_table_field ftf on (cl.COLUMN_NAME) = ('addr_' + ftf.COLUMN_NAME)
         inner join form_field ff on ftf.FIELD_ID = ff.id
where TABLE_NAME in (select (TABLE_NAME) from form_table )
  AND TABLE_catalog = (DB_NAME())
  and ff.COMPONENT_KEY = 'PositionComponent';


select @var_count = count(id)
from temp_column_data_change;
WHILE @var_count > 0
    begin
        select top 1 @var_table_name = table_name, @var_column_name = column_name, @var_id = id
        from temp_column_data_change;
        select @var_count = count(id) from temp_column_data_change;

        -- 1、rename 列名称
        set @var_sql = 'EXEC sp_rename ' + char(39) + @var_table_name + '.' + @var_column_name + char(39) + ',' +
                       char(39) + (substring(lower(@var_column_name), len('addr_') + 1,
                                             len(lower(@var_column_name)) - len('addr_') - 1) + '') + char(39) + ',' +
                       char(39) + 'COLUMN' + char(39) + ';';

        EXEC sp_executesql @var_sql;

        delete from temp_column_data_change where id = @var_id;
        set @var_count = @var_count - 1;
    END ;


-- 2、longitude_
insert into temp_column_data_change(column_name, table_name)
select distinct cl.COLUMN_NAME, TABLE_NAME
from INFORMATION_SCHEMA.COLUMNS cl
         inner join form_table_field ftf on (cl.COLUMN_NAME) = ('longitude_' + ftf.COLUMN_NAME)
         inner join form_field ff on ftf.FIELD_ID = ff.id
where TABLE_NAME in (select (TABLE_NAME) from form_table )
  AND TABLE_catalog = (DB_NAME())
  and ff.COMPONENT_KEY = 'PositionComponent';


select @var_count = count(id)
from temp_column_data_change;
WHILE @var_count > 0 begin

    select top 1 @var_table_name = table_name, @var_column_name = column_name, @var_id = id
    from temp_column_data_change;
    select @var_count = count(id) from temp_column_data_change;

    -- 1、rename 列名称
    set @var_sql = 'EXEC sp_rename ' + char(39) + @var_table_name + '.' + @var_column_name + char(39) + ',' + char(39) +
                   (substring(lower(@var_column_name), len('longitude_') + 1,
                              len(lower(@var_column_name)) - len('longitude_') - 1) + '_long') + char(39) + ',' +
                   char(39) + 'COLUMN' + char(39) + ';';

    EXEC sp_executesql @var_sql;

    delete from temp_column_data_change where id = @var_id;
    set @var_count = @var_count - 1;
END ;

-- 3、latitude_
insert into temp_column_data_change(column_name, table_name)
select distinct cl.COLUMN_NAME, TABLE_NAME
from INFORMATION_SCHEMA.COLUMNS cl
         inner join form_table_field ftf on (cl.COLUMN_NAME) = ('latitude_' + ftf.COLUMN_NAME)
         inner join form_field ff on ftf.FIELD_ID = ff.id
where TABLE_NAME in (select (TABLE_NAME) from form_table )
  AND TABLE_catalog = (DB_NAME())
  and ff.COMPONENT_KEY = 'PositionComponent';


select @var_count = count(id)
from temp_column_data_change;
WHILE @var_count > 0 begin

    select top 1 @var_table_name = table_name, @var_column_name = column_name, @var_id = id
    from temp_column_data_change;
    select @var_count = count(id) from temp_column_data_change;

    -- 1、rename 列名称
    set @var_sql = 'EXEC sp_rename ' + char(39) + @var_table_name + '.' + @var_column_name + char(39) + ',' + char(39) +
                   (substring(lower(@var_column_name), len('latitude_') + 1,
                              len(lower(@var_column_name)) - len('latitude_') - 1) + '_lat') + char(39) + ',' +
                   char(39) + 'COLUMN' + char(39) + ';';
    EXEC sp_executesql @var_sql;

    delete from temp_column_data_change where id = @var_id;
    set @var_count = @var_count - 1;
end ;


-- ------------------------   处理 金额 控件  ------------

-- currency_
insert into temp_column_data_change(column_name, table_name)
select distinct cl.COLUMN_NAME, TABLE_NAME
from INFORMATION_SCHEMA.COLUMNS cl
         inner join form_table_field ftf on (cl.COLUMN_NAME) = ('currency_' + ftf.COLUMN_NAME)
         inner join form_field ff on ftf.FIELD_ID = ff.id
where TABLE_NAME in (select (TABLE_NAME) from form_table )
  AND TABLE_catalog = (DB_NAME())
  and ff.COMPONENT_KEY = 'Money';


select @var_count = count(id)
from temp_column_data_change;
WHILE @var_count > 0 begin

    select top 1 @var_table_name = table_name, @var_column_name = column_name, @var_id = id
    from temp_column_data_change;
    select @var_count = count(id) from temp_column_data_change;

    -- 1、rename 列名称
    set @var_sql = 'EXEC sp_rename ' + char(39) + @var_table_name + '.' + @var_column_name + char(39) + ',' + char(39) +
                   (substring(lower(@var_column_name), len('currency_') + 1,
                              len(lower(@var_column_name)) - len('currency_') - 1) + '_currency') + char(39) + ',' +
                   char(39) + 'COLUMN' + char(39) + ';';
    EXEC sp_executesql @var_sql;

    delete from temp_column_data_change where id = @var_id;
    set @var_count = @var_count - 1;
end ;

-- ------------------------   处理 人员范围 控件  ------------

-- esot_
insert into temp_column_data_change(column_name, table_name)
select distinct cl.COLUMN_NAME, TABLE_NAME
from INFORMATION_SCHEMA.COLUMNS cl
         inner join form_table_field ftf on (cl.COLUMN_NAME) = ('esot_' + ftf.COLUMN_NAME)
         inner join form_field ff on ftf.FIELD_ID = ff.id
where TABLE_NAME in (select (TABLE_NAME) from form_table )
  AND TABLE_catalog = (DB_NAME())
  and ff.COMPONENT_KEY in ('EmployeeScope', 'EmployeeOrganization');


select @var_count = count(id)
from temp_column_data_change;
WHILE @var_count > 0 begin

    select top 1 @var_table_name = table_name, @var_column_name = column_name, @var_id = id
    from temp_column_data_change;
    select @var_count = count(id) from temp_column_data_change;

    -- 1、rename 列名称


    set @var_sql = 'EXEC sp_rename ' + char(39) + @var_table_name + '.' + @var_column_name + char(39) + ',' + char(39) +
                   (substring(lower(@var_column_name), len('esot_') + 1,
                              len(lower(@var_column_name)) - len('esot_') - 1) + '_obj') + char(39) + ',' + char(39) +
                   'COLUMN' + char(39) + ';';

    EXEC sp_executesql @var_sql;

    delete from temp_column_data_change where id = @var_id;
    set @var_count = @var_count - 1;
END ;


-- ------------------------   处理 人力资源条件 控件  ------------

-- esot_
insert into temp_column_data_change(column_name, table_name)
select distinct cl.COLUMN_NAME, TABLE_NAME
from INFORMATION_SCHEMA.COLUMNS cl
         inner join form_table_field ftf on (cl.COLUMN_NAME) = ('es_' + ftf.COLUMN_NAME)
         inner join form_field ff on ftf.FIELD_ID = ff.id
where TABLE_NAME in (select (TABLE_NAME) from form_table )
  AND TABLE_catalog = (DB_NAME())
  and ff.COMPONENT_KEY in ('EmployeeShare');


select @var_count = count(id)
from temp_column_data_change;
WHILE @var_count > 0 begin

    select top 1 @var_table_name = table_name, @var_column_name = column_name, @var_id = id
    from temp_column_data_change;
    select @var_count = count(id) from temp_column_data_change;

    -- 1、rename 列名称


    set @var_sql = 'EXEC sp_rename ' + char(39) + @var_table_name + '.' + @var_column_name + char(39) + ',' + char(39) +
                   (substring(lower(@var_column_name), len('es_') + 1, len(lower(@var_column_name)) - len('es_') - 1) +
                    '_obj') + char(39) + ',' + char(39) + 'COLUMN' + char(39) + ';';


    EXEC sp_executesql @var_sql;


    delete from temp_column_data_change where id = @var_id;
    set @var_count = @var_count - 1;
END ;

-- ------------------------   处理 人员范围 控件  ------------

-- esot_
insert into temp_column_data_change(column_name, table_name)
select distinct cl.COLUMN_NAME, TABLE_NAME
from INFORMATION_SCHEMA.COLUMNS cl
         inner join form_table_field ftf on (cl.COLUMN_NAME) = ('esot_' + ftf.COLUMN_NAME)
         inner join form_field ff on ftf.FIELD_ID = ff.id
where TABLE_NAME in (select (TABLE_NAME) from form_table )
  AND TABLE_catalog = (DB_NAME())
  and ff.COMPONENT_KEY in ('EmployeeScope', 'EmployeeOrganization');


select @var_count = count(id)
from temp_column_data_change;
WHILE @var_count > 0 begin

    select top 1 @var_table_name = table_name, @var_column_name = column_name, @var_id = id
    from temp_column_data_change;
    select @var_count = count(id) from temp_column_data_change;

    -- 1、rename 列名称
    set @var_sql = 'EXEC sp_rename ' + char(39) + @var_table_name + '.' + @var_column_name + char(39) + ',' + char(39) +
                   (substring(lower(@var_column_name), len('esot_') + 1,
                              len(lower(@var_column_name)) - len('esot_') - 1) + '_obj') + char(39) + ',' + char(39) +
                   'COLUMN' + char(39) + ';';

    exec sp_executesql @var_sql;

    delete from temp_column_data_change where id = @var_id;
    set @var_count = @var_count - 1;
END ;



    select  * from temp_column_data_change
GO